Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/pringle.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -50,5 +50,5 @@
 
 import numpy as np
-from numpy import inf, pi
+from numpy import inf
 
 name = "pringle"
@@ -75,7 +75,11 @@
 source = ["lib/polevl.c", "lib/sas_J0.c", "lib/sas_J1.c",
           "lib/sas_JN.c", "lib/gauss76.c", "pringle.c"]
-effective_radius_type = ["equivalent cylinder excluded volume", "equivalent volume sphere", "radius"]
+effective_radius_type = [
+    "equivalent cylinder excluded volume",
+    "equivalent volume sphere",
+    "radius"]
 
 def random():
+    """Return a random parameter set for the model."""
     alpha, beta = 10**np.random.uniform(-1, 1, size=2)
     radius = 10**np.random.uniform(1, 3)
Index: sasmodels/models/raspberry.py
===================================================================
--- sasmodels/models/raspberry.py	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/raspberry.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -155,4 +155,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     # Limit volume fraction to 20% each
     volfraction_lg = 10**np.random.uniform(-3, -0.3)
Index: sasmodels/models/rectangular_prism.py
===================================================================
--- sasmodels/models/rectangular_prism.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/rectangular_prism.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -32,5 +32,5 @@
 .. math::
 
-  A_P\,(q) =
+    A_P\,(q) =
       \frac{\sin \left( \tfrac{1}{2}qC \cos\theta \right) }{\tfrac{1}{2} qC \cos\theta}
       \,\times\,
@@ -48,12 +48,12 @@
 
 .. math::
-  P(q) =  \frac{2}{\pi} \int_0^{\frac{\pi}{2}} \,
-  \int_0^{\frac{\pi}{2}} A_P^2(q) \, \sin\theta \, d\theta \, d\phi
+    P(q) =  \frac{2}{\pi} \int_0^{\frac{\pi}{2}} \,
+    \int_0^{\frac{\pi}{2}} A_P^2(q) \, \sin\theta \, d\theta \, d\phi
 
 And the 1D scattering intensity is calculated as
 
 .. math::
-  I(q) = \text{scale} \times V \times (\rho_\text{p} -
-  \rho_\text{solvent})^2 \times P(q)
+    I(q) = \text{scale} \times V \times (\rho_\text{p} -
+    \rho_\text{solvent})^2 \times P(q)
 
 where $V$ is the volume of the rectangular prism, $\rho_\text{p}$
@@ -100,10 +100,10 @@
 R Nayuk and K Huber, *Z. Phys. Chem.*, 226 (2012) 837-854
 
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 
 """
 
 import numpy as np
-from numpy import pi, inf, sqrt
+from numpy import inf
 
 name = "rectangular_prism"
@@ -140,5 +140,5 @@
 have_Fq = True
 effective_radius_type = [
-    "equivalent cylinder excluded volume", "equivalent volume sphere", 
+    "equivalent cylinder excluded volume", "equivalent volume sphere",
     "half length_a", "half length_b", "half length_c",
     "equivalent circular cross-section", "half ab diagonal", "half diagonal",
@@ -146,4 +146,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     a, b, c = 10**np.random.uniform(1, 4.7, size=3)
     pars = dict(
Index: sasmodels/models/rpa.py
===================================================================
--- sasmodels/models/rpa.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/rpa.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -150,2 +150,4 @@
     else:
         return HIDE_ALL
+
+# TODO: no random parameters generated for RPA
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision da7b26b2f3ecdd4d6eea063846bb148e3def2477)
+++ sasmodels/models/sc_paracrystal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -1,8 +1,8 @@
 r"""
-.. warning:: This model and this model description are under review following 
-             concerns raised by SasView users. If you need to use this model, 
-             please email help@sasview.org for the latest situation. *The 
+.. warning:: This model and this model description are under review following
+             concerns raised by SasView users. If you need to use this model,
+             please email help@sasview.org for the latest situation. *The
              SasView Developers. September 2018.*
-             
+
 Definition
 ----------
@@ -153,4 +153,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     # copied from bcc_paracrystal
     radius = 10**np.random.uniform(1.3, 4)
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 81751c29b389be731a04ab84a1a93dedf718e16a)
+++ sasmodels/models/sphere.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -67,9 +67,10 @@
              ]
 
-source = ["lib/sas_3j1x_x.c","sphere.c"]
+source = ["lib/sas_3j1x_x.c", "sphere.c"]
 have_Fq = True
 effective_radius_type = ["radius"]
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(1.3, 4)
     pars = dict(
Index: sasmodels/models/spherical_sld.py
===================================================================
--- sasmodels/models/spherical_sld.py	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/spherical_sld.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -269,4 +269,5 @@
     return np.asarray(z), np.asarray(rho)
 
+# TODO: no random parameter generator for spherical SLD.
 
 demo = {
Index: sasmodels/models/spinodal.py
===================================================================
--- sasmodels/models/spinodal.py	(revision 93fe8a1613531fbb5a9270c8cee68cad9b4642cb)
+++ sasmodels/models/spinodal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -3,36 +3,36 @@
 ----------
 
-This model calculates the SAS signal of a phase separating system 
-undergoing spinodal decomposition. The scattering intensity $I(q)$ is calculated 
-as 
+This model calculates the SAS signal of a phase separating system
+undergoing spinodal decomposition. The scattering intensity $I(q)$ is calculated
+as
 
 .. math::
     I(q) = I_{max}\frac{(1+\gamma/2)x^2}{\gamma/2+x^{2+\gamma}}+B
 
-where $x=q/q_0$, $q_0$ is the peak position, $I_{max}$ is the intensity 
-at $q_0$ (parameterised as the $scale$ parameter), and $B$ is a flat 
-background. The spinodal wavelength, $\Lambda$, is given by $2\pi/q_0$. 
+where $x=q/q_0$, $q_0$ is the peak position, $I_{max}$ is the intensity
+at $q_0$ (parameterised as the $scale$ parameter), and $B$ is a flat
+background. The spinodal wavelength, $\Lambda$, is given by $2\pi/q_0$.
 
-The definition of $I_{max}$ in the literature varies. Hashimoto *et al* (1991) 
-define it as 
+The definition of $I_{max}$ in the literature varies. Hashimoto *et al* (1991)
+define it as
 
 .. math::
     I_{max} = \Lambda^3\Delta\rho^2
-    
-whereas Meier & Strobl (1987) give 
+
+whereas Meier & Strobl (1987) give
 
 .. math::
     I_{max} = V_z\Delta\rho^2
-    
+
 where $V_z$ is the volume per monomer unit.
 
-The exponent $\gamma$ is equal to $d+1$ for off-critical concentration 
-mixtures (smooth interfaces) and $2d$ for critical concentration mixtures 
-(entangled interfaces), where $d$ is the dimensionality (ie, 1, 2, 3) of the 
-system. Thus 2 <= $\gamma$ <= 6. A transition from $\gamma=d+1$ to $\gamma=2d$ 
-is expected near the percolation threshold. 
+The exponent $\gamma$ is equal to $d+1$ for off-critical concentration
+mixtures (smooth interfaces) and $2d$ for critical concentration mixtures
+(entangled interfaces), where $d$ is the dimensionality (ie, 1, 2, 3) of the
+system. Thus 2 <= $\gamma$ <= 6. A transition from $\gamma=d+1$ to $\gamma=2d$
+is expected near the percolation threshold.
 
-As this function tends to zero as $q$ tends to zero, in practice it may be 
-necessary to combine it with another function describing the low-angle 
+As this function tends to zero as $q$ tends to zero, in practice it may be
+necessary to combine it with another function describing the low-angle
 scattering, or to simply omit the low-angle scattering from the fit.
 
@@ -41,13 +41,13 @@
 
 H. Furukawa. Dynamics-scaling theory for phase-separating unmixing mixtures:
-Growth rates of droplets and scaling properties of autocorrelation functions. 
+Growth rates of droplets and scaling properties of autocorrelation functions.
 Physica A 123, 497 (1984).
 
-H. Meier & G. Strobl. Small-Angle X-ray Scattering Study of Spinodal 
-Decomposition in Polystyrene/Poly(styrene-co-bromostyrene) Blends. 
+H. Meier & G. Strobl. Small-Angle X-ray Scattering Study of Spinodal
+Decomposition in Polystyrene/Poly(styrene-co-bromostyrene) Blends.
 Macromolecules 20, 649-654 (1987).
 
-T. Hashimoto, M. Takenaka & H. Jinnai. Scattering Studies of Self-Assembling 
-Processes of Polymer Blends in Spinodal Decomposition. 
+T. Hashimoto, M. Takenaka & H. Jinnai. Scattering Studies of Self-Assembling
+Processes of Polymer Blends in Spinodal Decomposition.
 J. Appl. Cryst. 24, 457-466 (1991).
 
@@ -68,5 +68,5 @@
 
       List of default parameters:
-      
+
       Imax = correlation peak intensity at q_0
       background = incoherent background
@@ -74,5 +74,5 @@
       q_0 = correlation peak position [1/A]
       x = q/q_0"""
-      
+
 category = "shape-independent"
 
@@ -100,4 +100,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         scale=10**np.random.uniform(1, 3),
Index: sasmodels/models/squarewell.py
===================================================================
--- sasmodels/models/squarewell.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/squarewell.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -131,4 +131,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         scale=1, background=0,
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision ef07e950965796e2a3a8156fcade98ce5e403001)
+++ sasmodels/models/stacked_disks.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -147,4 +147,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(1, 4.7)
     total_stack = 10**np.random.uniform(1, 4.7)
Index: sasmodels/models/star_polymer.py
===================================================================
--- sasmodels/models/star_polymer.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/star_polymer.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -87,4 +87,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         #background=0,
Index: sasmodels/models/stickyhardsphere.py
===================================================================
--- sasmodels/models/stickyhardsphere.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/stickyhardsphere.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -100,4 +100,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         scale=1, background=0,
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/surface_fractal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -78,4 +78,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(1, 4)
     fractal_dim_surf = np.random.uniform(1, 3-1e-6)
Index: sasmodels/models/teubner_strey.py
===================================================================
--- sasmodels/models/teubner_strey.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/teubner_strey.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -103,4 +103,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     d = 10**np.random.uniform(1, 4)
     xi = 10**np.random.uniform(-0.3, 2)*d
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -158,7 +158,11 @@
 source = ["lib/sas_3j1x_x.c", "lib/gauss76.c", "triaxial_ellipsoid.c"]
 have_Fq = True
-effective_radius_type = ["equivalent biaxial ellipsoid average curvature", "equivalent volume sphere", "min radius", "max radius"]
+effective_radius_type = [
+    "equivalent biaxial ellipsoid average curvature",
+    "equivalent volume sphere", "min radius", "max radius",
+    ]
 
 def random():
+    """Return a random parameter set for the model."""
     a, b, c = 10**np.random.uniform(1, 4.7, size=3)
     pars = dict(
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision 71b751d6a3a4ef4164f3b322841ddf3875c025c5)
+++ sasmodels/models/two_lorentzian.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -92,4 +92,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     scale = 10**np.random.uniform(0, 4, 2)
     length = 10**np.random.uniform(1, 4, 2)
Index: sasmodels/models/two_power_law.py
===================================================================
--- sasmodels/models/two_power_law.py	(revision ef07e950965796e2a3a8156fcade98ce5e403001)
+++ sasmodels/models/two_power_law.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -78,5 +78,4 @@
        power_2=4.0,
       ):
-
     """
     :param q:                   Input q-value (float or [float, float])
@@ -98,4 +97,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     coefficient_1 = 1
     crossover = 10**np.random.uniform(-3, -1)
Index: sasmodels/models/unified_power_Rg.py
===================================================================
--- sasmodels/models/unified_power_Rg.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/unified_power_Rg.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -96,4 +96,5 @@
 
 def Iq(q, level, rg, power, B, G):
+    """Return I(q) for unified power Rg model."""
     level = int(level + 0.5)
     if level == 0:
@@ -118,4 +119,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     level = np.minimum(np.random.poisson(0.5) + 1, 6)
     n = level
Index: sasmodels/models/vesicle.py
===================================================================
--- sasmodels/models/vesicle.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/vesicle.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -70,5 +70,5 @@
 
 import numpy as np
-from numpy import pi, inf
+from numpy import inf
 
 name = "vesicle"
@@ -103,4 +103,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     total_radius = 10**np.random.uniform(1.3, 5)
     radius = total_radius * np.random.uniform(0, 1)
Index: sasmodels/multiscat.py
===================================================================
--- sasmodels/multiscat.py	(revision 2c4a190a64dff2df7c3a9d3ea13d6d566b439ecd)
+++ sasmodels/multiscat.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -103,5 +103,5 @@
 USE_FAST = True  # OpenCL faster, less accurate math
 
-class ICalculator:
+class ICalculator(object):
     """
     Multiple scattering calculator
@@ -113,5 +113,5 @@
         raise NotImplementedError()
 
-    def ifft(self, Iq):
+    def ifft(self, fourier_frame):
         """
         Compute the inverse FFT for an image, complex -> complex.
@@ -119,5 +119,5 @@
         raise NotImplementedError()
 
-    def mulitple_scattering(self, Iq):
+    def multiple_scattering(self, Iq, p, coverage=0.99):
         r"""
         Compute multiple scattering for I(q) given scattering probability p.
@@ -250,5 +250,5 @@
         gpu_poly = cl_array.to_device(self.queue, poly)
         self.plan.execute(gpu_data.data)
-        degree, data_size= poly.shape[0], frame.shape[0]*frame.shape[1]
+        degree, data_size = poly.shape[0], frame.shape[0]*frame.shape[1]
         self.polyval1(
             self.queue, [data_size], None,
@@ -575,4 +575,5 @@
 
 def main():
+    """Command line interface to multiple scattering calculator."""
     parser = argparse.ArgumentParser(
         description="Compute multiple scattering",
@@ -612,7 +613,8 @@
     theory = call_kernel(kernel, pars)
     Iq = res.apply(theory) + bg
-    plot_and_save_powers(res, theory, Iq, outfile=opts.outfile, background=bg)
-
-def plot_and_save_powers(res, theory, result, plot=True, outfile="", background=0.):
+    _plot_and_save_powers(res, theory, Iq, outfile=opts.outfile, background=bg)
+
+def _plot_and_save_powers(res, theory, result, plot=True,
+                          outfile="", background=0.):
     import pylab
     probability, coverage = res.probability, res.coverage
@@ -678,4 +680,5 @@
 
 def plotxy(q, Iq):
+    """Plot q, Iq or (qx, qy), Iqxy."""
     import pylab
     # q is a tuple of (q,) or (qx, qy)
Index: sasmodels/product.py
===================================================================
--- sasmodels/product.py	(revision b171acdab344b2827f9bdca29d66411c2484991f)
+++ sasmodels/product.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -18,7 +18,7 @@
 import numpy as np  # type: ignore
 
-from .modelinfo import ParameterTable, ModelInfo, Parameter, parse_parameter
+from .modelinfo import ParameterTable, ModelInfo, parse_parameter
 from .kernel import KernelModel, Kernel
-from .details import make_details, dispersion_mesh
+from .details import make_details
 
 # pylint: disable=unused-import
@@ -28,5 +28,5 @@
     pass
 else:
-    from .modelinfo import ParameterSet
+    from .modelinfo import ParameterSet, Parameter
 # pylint: enable=unused-import
 
@@ -42,22 +42,26 @@
 VOLFRAC_ID = "volfraction"
 def make_extra_pars(p_info):
+    # type: (ModelInfo) -> List[Parameter]
+    """
+    Create parameters for structure_factor_mode and radius_effective_mode.
+    """
     pars = []
     if p_info.have_Fq:
         par = parse_parameter(
-                STRUCTURE_MODE_ID,
-                "",
-                0,
-                [["P*S","P*(1+beta*(S-1))"]],
-                "",
-                "Structure factor calculation")
+            STRUCTURE_MODE_ID,
+            "",
+            0,
+            [["P*S", "P*(1+beta*(S-1))"]],
+            "",
+            "Structure factor calculation")
         pars.append(par)
     if p_info.effective_radius_type is not None:
         par = parse_parameter(
-                RADIUS_MODE_ID,
-                "",
-                1,
-                [["unconstrained"] + p_info.effective_radius_type],
-                "",
-                "Effective radius calculation")
+            RADIUS_MODE_ID,
+            "",
+            1,
+            [["unconstrained"] + p_info.effective_radius_type],
+            "",
+            "Effective radius calculation")
         pars.append(par)
     return pars
@@ -104,4 +108,5 @@
     parameters.max_pd = p_pars.max_pd + s_pars.max_pd
     def random():
+        """Random set of model parameters for product model"""
         combined_pars = p_info.random()
         s_names = set(par.id for par in s_pars.kernel_parameters)
@@ -132,4 +137,5 @@
         profile_pars = set(p.id for p in p_info.parameters.kernel_parameters)
         def profile(**kwargs):
+            """Return SLD profile of the form factor as a function of radius."""
             # extract the profile args
             kwargs = dict((k, v) for k, v in kwargs.items() if k in profile_pars)
@@ -173,5 +179,5 @@
         effective_radius, # type: float
         beta_mode,        # type: bool
-        ):
+    ):
     # type: (...) -> OrderedDict[str, Union[np.ndarray, float]]
     """
@@ -199,4 +205,7 @@
 
 class ProductModel(KernelModel):
+    """
+    Model definition for product model.
+    """
     def __init__(self, model_info, P, S):
         # type: (ModelInfo, KernelModel, KernelModel) -> None
@@ -229,4 +238,5 @@
         s_kernel = self.S.make_kernel(q_vectors)
         return ProductKernel(self.info, p_kernel, s_kernel)
+    make_kernel.__doc__ = KernelModel.make_kernel.__doc__
 
     def release(self):
@@ -240,4 +250,7 @@
 
 class ProductKernel(Kernel):
+    """
+    Instantiated kernel for product model.
+    """
     def __init__(self, model_info, p_kernel, s_kernel):
         # type: (ModelInfo, Kernel, Kernel) -> None
@@ -248,5 +261,5 @@
         self.results = []  # type: List[np.ndarray]
 
-    def __call__(self, call_details, values, cutoff, magnetic):
+    def Iq(self, call_details, values, cutoff, magnetic):
         # type: (CallDetails, np.ndarray, float, bool) -> np.ndarray
 
@@ -263,5 +276,5 @@
         beta_mode_offset = 2+p_npars+s_npars
         beta_mode = (values[beta_mode_offset] > 0) if have_beta_mode else False
-        if beta_mode and self.p_kernel.dim== '2d':
+        if beta_mode and self.p_kernel.dim == '2d':
             raise NotImplementedError("beta not yet supported for 2D")
 
@@ -327,5 +340,6 @@
         # polydispersity distribution slot in the values array due to
         # implementation details in kernel_iq.c.
-        #print("R_eff=%d:%g, volfrac=%g, volume ratio=%g"%(radius_type, effective_radius, volfrac, volume_ratio))
+        #print("R_eff=%d:%g, volfrac=%g, volume ratio=%g"
+        #      % (radius_type, effective_radius, volfrac, volume_ratio))
         if radius_type > 0:
             # set the value to the model R_eff and set the weight to 1
@@ -360,6 +374,10 @@
         return final_result
 
+    Iq.__doc__ = Kernel.Iq.__doc__
+    __call__ = Iq
+
     def release(self):
         # type: () -> None
+        """Free resources associated with the kernel."""
         self.p_kernel.release()
         self.s_kernel.release()
Index: sasmodels/rst2html.py
===================================================================
--- sasmodels/rst2html.py	(revision 1fbadb20289a15dcd2b077eb8ef47e0dbda5eef1)
+++ sasmodels/rst2html.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -142,4 +142,6 @@
 
 def load_rst_as_html(filename):
+    # type: (str) -> str
+    """Load rst from file and convert to html"""
     from os.path import expanduser
     with open(expanduser(filename)) as fid:
@@ -149,4 +151,6 @@
 
 def wxview(html, url="", size=(850, 540)):
+    # type: (str, str, Tuple[int, int]) -> "wx.Frame"
+    """View HTML in a wx dialog"""
     import wx
     from wx.html2 import WebView
@@ -158,4 +162,6 @@
 
 def view_html_wxapp(html, url=""):
+    # type: (str, str) -> None
+    """HTML viewer app in wx"""
     import wx  # type: ignore
     app = wx.App()
@@ -164,4 +170,6 @@
 
 def view_url_wxapp(url):
+    # type: (str) -> None
+    """URL viewer app in wx"""
     import wx  # type: ignore
     from wx.html2 import WebView
@@ -174,4 +182,6 @@
 
 def qtview(html, url=""):
+    # type: (str, str) -> "QWebView"
+    """View HTML in a Qt dialog"""
     try:
         from PyQt5.QtWebKitWidgets import QWebView
@@ -186,4 +196,6 @@
 
 def view_html_qtapp(html, url=""):
+    # type: (str, str) -> None
+    """HTML viewer app in Qt"""
     import sys
     try:
@@ -196,4 +208,6 @@
 
 def view_url_qtapp(url):
+    # type: (str) -> None
+    """URL viewer app in Qt"""
     import sys
     try:
@@ -217,4 +231,5 @@
 
 def can_use_qt():
+    # type: () -> bool
     """
     Return True if QWebView exists.
@@ -233,4 +248,6 @@
 
 def view_help(filename, qt=False):
+    # type: (str, bool) -> None
+    """View rst or html file.  If *qt* use q viewer, otherwise use wx."""
     import os
 
@@ -252,4 +269,6 @@
 
 def main():
+    # type: () -> None
+    """Command line interface to rst or html viewer."""
     import sys
     view_help(sys.argv[1], qt=False)
Index: sasmodels/sasview_model.py
===================================================================
--- sasmodels/sasview_model.py	(revision 21c93c37dac1eb1749656b388dd13e5fa29e63f3)
+++ sasmodels/sasview_model.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -15,5 +15,5 @@
 import traceback
 import logging
-from os.path import basename, splitext, abspath, getmtime
+from os.path import basename, splitext, abspath
 try:
     import _thread as thread
@@ -31,5 +31,4 @@
 from . import modelinfo
 from .details import make_kernel_args, dispersion_mesh
-from .kernelcl import reset_environment
 
 # pylint: disable=unused-import
@@ -688,5 +687,5 @@
                      qx,     # type: Sequence[float]
                      qy=None # type: Optional[Sequence[float]]
-                     ):
+                    ):
         # type: (...) -> Tuple[np.ndarray, Callable[[], collections.OrderedDict[str, np.ndarray]]]
         """
@@ -938,5 +937,5 @@
     # type: () -> None
     """
-    Load and run cylinder model as sas-models-CylinderModel
+    Load and run cylinder model as sas.models.CylinderModel
     """
     if not SUPPORT_OLD_STYLE_PLUGINS:
@@ -980,4 +979,7 @@
 
 def magnetic_demo():
+    """
+    Demostrate call to magnetic model.
+    """
     Model = _make_standard_model('sphere')
     model = Model()
Index: sasmodels/sesans.py
===================================================================
--- sasmodels/sesans.py	(revision fa79f5c490394c8fb6afdf72be2204a960727194)
+++ sasmodels/sesans.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -48,5 +48,8 @@
 
     def apply(self, Iq):
-        # tye: (np.ndarray) -> np.ndarray
+        # type: (np.ndarray) -> np.ndarray
+        """
+        Apply the SESANS transform to the computed I(q).
+        """
         G0 = np.dot(self._H0, Iq)
         G = np.dot(self._H.T, Iq)
Index: sasmodels/special.py
===================================================================
--- sasmodels/special.py	(revision fba9ca0239129ed28284a0b435ba2a9524913f36)
+++ sasmodels/special.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -311,5 +311,6 @@
 
 # Gaussians
-class Gauss:
+class Gauss(object):
+    """Gauss-Legendre integration weights"""
     def __init__(self, w, z):
         self.n = len(w)
Index: sasmodels/weights.py
===================================================================
--- sasmodels/weights.py	(revision e2592f02ab8e424de77e5b72ae9adfc84b47a185)
+++ sasmodels/weights.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -58,5 +58,4 @@
             # For orientation, the jitter is relative to 0 not the angle
             center = 0
-            pass
         if sigma == 0 or self.npts < 2:
             if lb <= center <= ub:
@@ -123,7 +122,7 @@
     default = dict(npts=35, width=0, nsigmas=1.73205)
     def _weights(self, center, sigma, lb, ub):
-         x = self._linspace(center, sigma, lb, ub)
-         x = x[np.fabs(x-center) <= np.fabs(sigma)*sqrt(3.0)]
-         return x, np.ones_like(x)
+        x = self._linspace(center, sigma, lb, ub)
+        x = x[np.fabs(x-center) <= np.fabs(sigma)*sqrt(3.0)]
+        return x, np.ones_like(x)
 
 class LogNormalDispersion(Dispersion):
